diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 12deab8..794814c 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -3958,7 +3958,7 @@ The READLOOP calls preparseReadLine which returns a pair of the form
 \begin{chunk}{defun preparse1}
 (defun preparse1 (linelist)
  (labels (
-  (isSystemCommand (line lines)
+  (isSystemCommand (line)
     (and (> (length line) 0) (eq (char line 0) #\) )))
   (executeSystemCommand (line)
    (catch 'spad_reader (|doSystemCommand| (subseq line 1))))
@@ -3977,7 +3977,7 @@ READLOOP
      (ncomblock    (fincomblock nil nums locs ncomblock nil)))
     (return 
      (pair (nreverse nums) (parsepiles (nreverse locs) (nreverse lines)))))
-  (when (and (null lines) (isSystemCommand line lines))
+  (when (and (null lines) (isSystemCommand line))
     (preparse-echo linelist)
     (setq $preparse-last-line nil) ;don't reread this line
     (executeSystemCommand line)
diff --git a/changelog b/changelog
index 6d531ba..0e380d7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110228 tpd src/axiom-website/patches.html 20110228.03.tpd.patch
+20110228 tpd books/bookvol9 fix special declaration for lines in preparse1
 20110228 tpd src/axiom-website/patches.html 20110228.02.tpd.patch
 20110228 tpd books/tangle.lisp fix help file extraction
 20110228 tpd src/axiom-website/patches.html 20110228.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 856be32..bfefb7a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3409,5 +3409,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110228.02.tpd.patch">20110228.02.tpd.patch</a>
 books/tangle.lisp fix help file extraction<br/>
+<a href="patches/20110228.03.tpd.patch">20110228.03.tpd.patch</a>
+books/bookvol9 fix special declaration for lines in preparse1<br/>
  </body>
 </html>
